# IvyConfiguration

interface IvyConfiguration : Named

A configuration included in an IvyPublication, which will be published in the ivy descriptor file generated.

## Functions

extend
Link copied to clipboard
abstract fun extend(configuration: String)
Add the name of a configuration that this configuration extends.
getExtends
Link copied to clipboard
abstract fun getExtends(): Set<String>
The set of names of extended configurations, added via extend.
getName
Link copied to clipboard
abstract fun getName(): String